---
title: "订单退款"
description: "订单退款接口"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/order-management/order-refund'
  md: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/order-management/order-refund.md'
---
# 订单退款

订单退款接口

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `write_orders`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
POST /order/refund.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。

## Required Permissions

* `write_orders`

## Request

### Request Headers

* `Content-Type`

  string (required)

  字段值固定为 `application/json; charset=utf-8`。

* `Authorization`

  string (required)

  资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。

### Request Body

* `refund_line_items`

  array<object>

  退款商品行信息，可关联多个商品行

  * `restock_type`

    string

    商品库存处理

  * `type`

    string

    当以商品进行退款时需要提供商品的发货状态 Unshipped：商品未发货，Returned：商品已退货

  * `line_item_id`

    long

    商品行id

  * `location_id`

    string

    商品库存回退的地点

  * `quantity`

    long

    试算退款商品数量

* `shipping`

  object

  运费金额的退款策略

  * `amount`

    string

    指定退款金额

  * `full_refund`

    boolean

    是否退完剩余运费

* `transactions`

  array<object>

  支付单退款信息

  * `amount`

    string

    退款金额，支付单对应的结算币种金额

  * `currency`

    string

    支付单对应的结算币种，非必填 币种没传，应用会校验该笔支付单结算币种是否为店铺币种，如果不是店铺币种，就会报错，提示必须传结算币种："the input currency must be the settlement currency of the payment: X" 币种有传，则校验币种是否为该支付单的结算币种，如果不是会报错，提示："the input currency must be the settlement currency of the payment: X"

  * `gateway`

    string

    支付渠道

  * `id`

    string

    支付单号,230开头

  * `kind`

    string

    支付单类型

  * `type`

    boolean

    退款类型,ture:原路退款

* `currency`

  string

  该退款对应订单的结算币种，非必填 币种没传，应用会校验订单结算币种是否为店铺币种，如果不是店铺币种，就会报错，提示必须传结算币种："currency must be X" 币种有传，则校验币种是否为该订单的结算币种，如果不是会报错，提示："currency must be X"

* `note`

  string

  退款备注

* `notify`

  boolean

   是否发送消息通知（同现有B端退款消息发送逻辑）

* `order_id`

  string

  订单编号

* `processed_at`

  string

  退款单发起时间

## Response

### Status Codes

* `200`

  更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。

### Response Body

#### 200

* `data`

  object

  数据返回体

  * `order_adjustments`

    array<object>

    调整单信息

    * `order_id`

      string

      该调整单关联的订单号

    * `tax_amount`

      string

      调整单税费金额

    * `tax_amount_set`

      object

      按照店铺币种和交易币种计价的调整单税费金额

      * `presentment_money`

        object

        市场金额信息

      * `shop_money`

        object

        店铺金额信息

    * `kind`

      string

      调整单类型：refund_discrepancy、shipping_refund

    * `refund_id`

      string

      退款单ID，唯一识别

    * `amount`

      string

      调整单金额

    * `reason`

      string

      调整原因：Refund discrepancy、shipping_refund

    * `amount_set`

      object

      按照店铺币种和交易币种计价的调整单金额

      * `shop_money`

        object

        店铺金额信息

      * `presentment_money`

        object

        市场金额信息

    * `id`

      string

      调整单号

  * `order_id`

    string

     该退款单关联的订单号

  * `refund_line_items`

    array<object>

    退款相关的商品行信息

    * `subtotal`

      string

      退款商品行总金额，精度2

    * `subtotal_set`

      object

      按照店铺币种和交易币种计价的退款商品行总金额

      * `presentment_money`

        object

        市场金额信息

      * `shop_money`

        object

        店铺币种金额信息

    * `total_tax`

      string

      退款商品行税费总金额，精度2

    * `total_tax_set`

      object

      按照店铺币种和交易币种计价的退款商品行税费总金额

      * `shop_money`

        object

        店铺币种金额信息

      * `presentment_money`

        object

        市场金额信息

    * `id`

      long

      商品行id

    * `line_item_id`

      long

      商品快照表的id, 系统生成，与订单号唯一确认一个商品

    * `quantity`

      long

      退款商品数量

    * `restock_type`

      string

      return-返还 只有未返还

  * `total_duties_set`

    object

    退款总关税

    * `shop_money`

      object

      卖家侧金额信息

      * `currency_code`

        string

        币种

      * `amount`

        string

        金额

    * `presentment_money`

      object

      买家侧金额信息

      * `amount`

        string

        金额

      * `currency_code`

        string

        币种

  * `transactions`

    array<object>

    退款支付单信息

    * `currency`

      string

      支付币种，支付单对应的结算币种

    * `id`

      string

       支付单号

    * `kind`

      string

      支付单类型，此处仅为refund

    * `order_id`

      string

      该调整单关联的订单号

    * `processed_at`

      string

      退款单更新时间

    * `status`

      string

      处理状态, pending, failure, success, and error

    * `amount`

      long

      退款支付单结算币种对应的退款金额，精度2

    * `create_at`

      string

      创建时间

  * `create_at`

    string

    退款单创建时间

  * `id`

    string

    退款单ID，唯一识别

  * `note`

    string

    退款备注


#### 401

* `errors`

  string

  错误描述。


#### 429

* `errors`

  string

  错误描述。


## OpenAPI Definition

```json
{
  "description": "订单退款接口",
  "externalDocs": {
    "description": "接口使用的权限点: `write_orders` ，更多权限点使用信息，请参考:",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=zh-hans-cn",
    "errorTableDescription": ""
  },
  "operationId": "G11MNGS1",
  "parameters": [
    {
      "name": "Content-Type",
      "in": "header",
      "description": "字段值固定为 `application/json; charset=utf-8`。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": "资源的访问令牌。请参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "refund_line_items": {
              "name": "refund_line_items",
              "description": "退款商品行信息，可关联多个商品行",
              "type": "array",
              "items": {
                "name": "refund_line_items",
                "description": "退款商品行信息，可关联多个商品行",
                "type": "object",
                "properties": {
                  "restock_type": {
                    "name": "restock_type",
                    "description": "商品库存处理",
                    "type": "string",
                    "example": "return"
                  },
                  "type": {
                    "name": "type",
                    "description": "当以商品进行退款时需要提供商品的发货状态 Unshipped：商品未发货，Returned：商品已退货",
                    "type": "string",
                    "example": "Unshipped"
                  },
                  "line_item_id": {
                    "name": "line_item_id",
                    "description": "商品行id",
                    "type": "long",
                    "example": 601
                  },
                  "location_id": {
                    "name": "location_id",
                    "description": "商品库存回退的地点",
                    "type": "string",
                    "example": "5409714787218633772"
                  },
                  "quantity": {
                    "name": "quantity",
                    "description": "试算退款商品数量",
                    "type": "long",
                    "example": 1
                  }
                },
                "required": [
                  "type"
                ],
                "example": {
                  "restock_type": "return",
                  "type": "Unshipped",
                  "line_item_id": 601,
                  "location_id": "5409714787218633772",
                  "quantity": 1
                }
              },
              "example": [
                {
                  "location_id": "5409714787218633772",
                  "quantity": 1,
                  "restock_type": "return",
                  "type": "Unshipped",
                  "line_item_id": 601
                }
              ]
            },
            "shipping": {
              "name": "shipping",
              "description": "运费金额的退款策略",
              "type": "object",
              "properties": {
                "amount": {
                  "name": "amount",
                  "description": "指定退款金额",
                  "type": "string",
                  "example": "1.23"
                },
                "full_refund": {
                  "name": "full_refund",
                  "description": "是否退完剩余运费",
                  "type": "boolean",
                  "example": true
                }
              },
              "example": {
                "full_refund": true,
                "amount": "1.23"
              }
            },
            "transactions": {
              "name": "transactions",
              "description": "支付单退款信息",
              "type": "array",
              "items": {
                "name": "transactions",
                "description": "支付单退款信息",
                "type": "object",
                "properties": {
                  "amount": {
                    "name": "amount",
                    "description": "退款金额，支付单对应的结算币种金额",
                    "type": "string",
                    "example": "2.34"
                  },
                  "currency": {
                    "name": "currency",
                    "description": "支付单对应的结算币种，非必填 币种没传，应用会校验该笔支付单结算币种是否为店铺币种，如果不是店铺币种，就会报错，提示必须传结算币种：\"the input currency must be the settlement currency of the payment: X\" 币种有传，则校验币种是否为该支付单的结算币种，如果不是会报错，提示：\"the input currency must be the settlement currency of the payment: X\"",
                    "type": "string",
                    "example": "USD"
                  },
                  "gateway": {
                    "name": "gateway",
                    "description": "支付渠道",
                    "type": "string",
                    "example": "Paypal"
                  },
                  "id": {
                    "name": "id",
                    "description": "支付单号,230开头",
                    "type": "string",
                    "example": "23057520029306658561302511"
                  },
                  "kind": {
                    "name": "kind",
                    "description": "支付单类型",
                    "type": "string",
                    "example": "refund"
                  },
                  "type": {
                    "name": "type",
                    "description": "退款类型,ture:原路退款",
                    "type": "boolean",
                    "example": true
                  }
                },
                "example": {
                  "gateway": "Paypal",
                  "id": "23057520029306658561302511",
                  "kind": "refund",
                  "type": true,
                  "amount": "2.34",
                  "currency": "USD"
                }
              },
              "example": [
                {
                  "gateway": "Paypal",
                  "id": "23057520029306658561302511",
                  "kind": "refund",
                  "type": true,
                  "amount": "2.34",
                  "currency": "USD"
                }
              ]
            },
            "currency": {
              "name": "currency",
              "description": "该退款对应订单的结算币种，非必填 币种没传，应用会校验订单结算币种是否为店铺币种，如果不是店铺币种，就会报错，提示必须传结算币种：\"currency must be X\" 币种有传，则校验币种是否为该订单的结算币种，如果不是会报错，提示：\"currency must be X\"",
              "type": "string",
              "example": "USD"
            },
            "note": {
              "name": "note",
              "description": "退款备注",
              "type": "string",
              "example": "退款"
            },
            "notify": {
              "name": "notify",
              "description": " 是否发送消息通知（同现有B端退款消息发送逻辑）",
              "type": "boolean",
              "example": true
            },
            "order_id": {
              "name": "order_id",
              "description": "订单编号",
              "type": "string",
              "example": "21057520029298437725452511"
            },
            "processed_at": {
              "name": "processed_at",
              "description": "退款单发起时间",
              "type": "string",
              "example": "格式：2023-04-12T22:59:52+08:00"
            }
          },
          "required": [
            "order_id",
            "transactions"
          ],
          "example": {
            "shipping": {
              "amount": "1.23",
              "full_refund": true
            },
            "transactions": [
              {
                "gateway": "Paypal",
                "id": "23057520029306658561302511",
                "kind": "refund",
                "type": true,
                "amount": "2.34",
                "currency": "USD"
              }
            ],
            "currency": "USD",
            "note": "退款",
            "notify": true,
            "order_id": "21057520029298437725452511",
            "processed_at": "格式：2023-04-12T22:59:52+08:00",
            "refund_line_items": [
              {
                "quantity": 1,
                "restock_type": "return",
                "type": "Unshipped",
                "line_item_id": 601,
                "location_id": "5409714787218633772"
              }
            ]
          }
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。",
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "data": {
                "name": "data",
                "description": "数据返回体",
                "type": "object",
                "properties": {
                  "order_adjustments": {
                    "name": "order_adjustments",
                    "description": "调整单信息",
                    "type": "array",
                    "items": {
                      "name": "order_adjustments",
                      "description": "调整单信息",
                      "type": "object",
                      "properties": {
                        "order_id": {
                          "name": "order_id",
                          "description": "该调整单关联的订单号",
                          "type": "string",
                          "example": "21057520029298437725452511"
                        },
                        "tax_amount": {
                          "name": "tax_amount",
                          "description": "调整单税费金额",
                          "type": "string",
                          "example": "978"
                        },
                        "tax_amount_set": {
                          "name": "tax_amount_set",
                          "description": "按照店铺币种和交易币种计价的调整单税费金额",
                          "type": "object",
                          "properties": {
                            "presentment_money": {
                              "name": "presentment_money",
                              "description": "市场金额信息",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "市场金额信息",
                                  "type": "string",
                                  "example": "2.34"
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "市场货币",
                                  "type": "string",
                                  "example": "USD"
                                }
                              },
                              "example": {
                                "amount": "2.34",
                                "currency_code": "USD"
                              }
                            },
                            "shop_money": {
                              "name": "shop_money",
                              "description": "店铺金额信息",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "店铺金额",
                                  "type": "string",
                                  "example": "3.45"
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "店铺货币",
                                  "type": "string",
                                  "example": "USD"
                                }
                              },
                              "example": {
                                "currency_code": "USD",
                                "amount": "3.45"
                              }
                            }
                          },
                          "example": {
                            "presentment_money": {
                              "currency_code": "USD",
                              "amount": "2.34"
                            },
                            "shop_money": {
                              "amount": "3.45",
                              "currency_code": "USD"
                            }
                          }
                        },
                        "kind": {
                          "name": "kind",
                          "description": "调整单类型：refund_discrepancy、shipping_refund",
                          "type": "string",
                          "example": "refund_discrepancy"
                        },
                        "refund_id": {
                          "name": "refund_id",
                          "description": "退款单ID，唯一识别",
                          "type": "string",
                          "example": ""
                        },
                        "amount": {
                          "name": "amount",
                          "description": "调整单金额",
                          "type": "string",
                          "example": "2.34"
                        },
                        "reason": {
                          "name": "reason",
                          "description": "调整原因：Refund discrepancy、shipping_refund",
                          "type": "string",
                          "example": "refund_discrepancy"
                        },
                        "amount_set": {
                          "name": "amount_set",
                          "description": "按照店铺币种和交易币种计价的调整单金额",
                          "type": "object",
                          "properties": {
                            "shop_money": {
                              "name": "shop_money",
                              "description": "店铺金额信息",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "店铺金额",
                                  "type": "string",
                                  "example": "2.34"
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "店铺货币",
                                  "type": "string",
                                  "example": "USD"
                                }
                              },
                              "example": {
                                "amount": "2.34",
                                "currency_code": "USD"
                              }
                            },
                            "presentment_money": {
                              "name": "presentment_money",
                              "description": "市场金额信息",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "市场金额",
                                  "type": "string",
                                  "example": "2.34"
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "市场货币",
                                  "type": "string",
                                  "example": "USD"
                                }
                              },
                              "example": {
                                "amount": "2.34",
                                "currency_code": "USD"
                              }
                            }
                          },
                          "example": {
                            "presentment_money": {
                              "currency_code": "USD",
                              "amount": "2.34"
                            },
                            "shop_money": {
                              "currency_code": "USD",
                              "amount": "2.34"
                            }
                          }
                        },
                        "id": {
                          "name": "id",
                          "description": "调整单号",
                          "type": "string",
                          "example": ""
                        }
                      },
                      "example": {
                        "order_id": "21057520029298437725452511",
                        "refund_id": "",
                        "kind": "refund_discrepancy",
                        "reason": "refund_discrepancy",
                        "tax_amount_set": {
                          "presentment_money": {
                            "amount": "2.34",
                            "currency_code": "USD"
                          },
                          "shop_money": {
                            "currency_code": "USD",
                            "amount": "3.45"
                          }
                        },
                        "amount_set": {
                          "presentment_money": {
                            "amount": "2.34",
                            "currency_code": "USD"
                          },
                          "shop_money": {
                            "amount": "2.34",
                            "currency_code": "USD"
                          }
                        },
                        "id": "",
                        "tax_amount": "978",
                        "amount": "2.34"
                      }
                    },
                    "example": [
                      {
                        "tax_amount": "978",
                        "amount_set": {
                          "shop_money": {
                            "amount": "2.34",
                            "currency_code": "USD"
                          },
                          "presentment_money": {
                            "currency_code": "USD",
                            "amount": "2.34"
                          }
                        },
                        "order_id": "21057520029298437725452511",
                        "refund_id": "",
                        "kind": "refund_discrepancy",
                        "reason": "refund_discrepancy",
                        "id": "",
                        "tax_amount_set": {
                          "presentment_money": {
                            "currency_code": "USD",
                            "amount": "2.34"
                          },
                          "shop_money": {
                            "amount": "3.45",
                            "currency_code": "USD"
                          }
                        },
                        "amount": "2.34"
                      }
                    ]
                  },
                  "order_id": {
                    "name": "order_id",
                    "description": " 该退款单关联的订单号",
                    "type": "string",
                    "example": "21057520029298437725452511"
                  },
                  "refund_line_items": {
                    "name": "refund_line_items",
                    "description": "退款相关的商品行信息",
                    "type": "array",
                    "items": {
                      "name": "refund_line_items",
                      "description": "退款相关的商品行信息",
                      "type": "object",
                      "properties": {
                        "subtotal": {
                          "name": "subtotal",
                          "description": "退款商品行总金额，精度2",
                          "type": "string",
                          "example": "3.45"
                        },
                        "subtotal_set": {
                          "name": "subtotal_set",
                          "description": "按照店铺币种和交易币种计价的退款商品行总金额",
                          "type": "object",
                          "properties": {
                            "presentment_money": {
                              "name": "presentment_money",
                              "description": "市场金额信息",
                              "type": "object",
                              "properties": {
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "市场货币",
                                  "type": "string",
                                  "example": "USD"
                                },
                                "amount": {
                                  "name": "amount",
                                  "description": "市场金额",
                                  "type": "string",
                                  "example": "1.23"
                                }
                              },
                              "example": {
                                "amount": "1.23",
                                "currency_code": "USD"
                              }
                            },
                            "shop_money": {
                              "name": "shop_money",
                              "description": "店铺币种金额信息",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "店铺金额",
                                  "type": "string",
                                  "example": "2.36"
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "店铺货币",
                                  "type": "string",
                                  "example": "USD"
                                }
                              },
                              "example": {
                                "amount": "2.36",
                                "currency_code": "USD"
                              }
                            }
                          },
                          "example": {
                            "presentment_money": {
                              "currency_code": "USD",
                              "amount": "1.23"
                            },
                            "shop_money": {
                              "amount": "2.36",
                              "currency_code": "USD"
                            }
                          }
                        },
                        "total_tax": {
                          "name": "total_tax",
                          "description": "退款商品行税费总金额，精度2",
                          "type": "string",
                          "example": "4.56"
                        },
                        "total_tax_set": {
                          "name": "total_tax_set",
                          "description": "按照店铺币种和交易币种计价的退款商品行税费总金额",
                          "type": "object",
                          "properties": {
                            "shop_money": {
                              "name": "shop_money",
                              "description": "店铺币种金额信息",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "店铺金额",
                                  "type": "string",
                                  "example": "6.14"
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "店铺货币",
                                  "type": "string",
                                  "example": "USD"
                                }
                              },
                              "example": {
                                "amount": "6.14",
                                "currency_code": "USD"
                              }
                            },
                            "presentment_money": {
                              "name": "presentment_money",
                              "description": "市场金额信息",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "店铺金额",
                                  "type": "string",
                                  "example": "3.24"
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "店铺货币",
                                  "type": "string",
                                  "example": "USD"
                                }
                              },
                              "example": {
                                "currency_code": "USD",
                                "amount": "3.24"
                              }
                            }
                          },
                          "example": {
                            "shop_money": {
                              "amount": "6.14",
                              "currency_code": "USD"
                            },
                            "presentment_money": {
                              "currency_code": "USD",
                              "amount": "3.24"
                            }
                          }
                        },
                        "id": {
                          "name": "id",
                          "description": "商品行id",
                          "type": "long",
                          "example": 0
                        },
                        "line_item_id": {
                          "name": "line_item_id",
                          "description": "商品快照表的id, 系统生成，与订单号唯一确认一个商品",
                          "type": "long",
                          "example": 601
                        },
                        "quantity": {
                          "name": "quantity",
                          "description": "退款商品数量",
                          "type": "long",
                          "example": 1
                        },
                        "restock_type": {
                          "name": "restock_type",
                          "description": "return-返还 只有未返还",
                          "type": "string",
                          "example": "return"
                        }
                      },
                      "example": {
                        "restock_type": "return",
                        "subtotal": "3.45",
                        "subtotal_set": {
                          "presentment_money": {
                            "amount": "1.23",
                            "currency_code": "USD"
                          },
                          "shop_money": {
                            "amount": "2.36",
                            "currency_code": "USD"
                          }
                        },
                        "total_tax": "4.56",
                        "total_tax_set": {
                          "presentment_money": {
                            "currency_code": "USD",
                            "amount": "3.24"
                          },
                          "shop_money": {
                            "currency_code": "USD",
                            "amount": "6.14"
                          }
                        },
                        "id": 0,
                        "line_item_id": 601,
                        "quantity": 1
                      }
                    },
                    "example": [
                      {
                        "line_item_id": 601,
                        "quantity": 1,
                        "restock_type": "return",
                        "subtotal": "3.45",
                        "subtotal_set": {
                          "shop_money": {
                            "amount": "2.36",
                            "currency_code": "USD"
                          },
                          "presentment_money": {
                            "amount": "1.23",
                            "currency_code": "USD"
                          }
                        },
                        "total_tax": "4.56",
                        "total_tax_set": {
                          "shop_money": {
                            "amount": "6.14",
                            "currency_code": "USD"
                          },
                          "presentment_money": {
                            "currency_code": "USD",
                            "amount": "3.24"
                          }
                        },
                        "id": 0
                      }
                    ]
                  },
                  "total_duties_set": {
                    "name": "total_duties_set",
                    "description": "退款总关税",
                    "type": "object",
                    "properties": {
                      "shop_money": {
                        "name": "shop_money",
                        "description": "卖家侧金额信息",
                        "type": "object",
                        "properties": {
                          "currency_code": {
                            "name": "currency_code",
                            "description": "币种",
                            "type": "string",
                            "example": "USD"
                          },
                          "amount": {
                            "name": "amount",
                            "description": "金额",
                            "type": "string",
                            "example": "8.88"
                          }
                        },
                        "example": {
                          "amount": "8.88",
                          "currency_code": "USD"
                        }
                      },
                      "presentment_money": {
                        "name": "presentment_money",
                        "description": "买家侧金额信息",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "金额",
                            "type": "string",
                            "example": "8.88"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "币种",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "amount": "8.88",
                          "currency_code": "USD"
                        }
                      }
                    },
                    "example": {
                      "presentment_money": {
                        "amount": "8.88",
                        "currency_code": "USD"
                      },
                      "shop_money": {
                        "amount": "8.88",
                        "currency_code": "USD"
                      }
                    }
                  },
                  "transactions": {
                    "name": "transactions",
                    "description": "退款支付单信息",
                    "type": "array",
                    "items": {
                      "name": "transactions",
                      "description": "退款支付单信息",
                      "type": "object",
                      "properties": {
                        "currency": {
                          "name": "currency",
                          "description": "支付币种，支付单对应的结算币种",
                          "type": "string",
                          "example": "USD"
                        },
                        "id": {
                          "name": "id",
                          "description": " 支付单号",
                          "type": "string",
                          "example": "23057520029306658561302511"
                        },
                        "kind": {
                          "name": "kind",
                          "description": "支付单类型，此处仅为refund",
                          "type": "string",
                          "example": "refund"
                        },
                        "order_id": {
                          "name": "order_id",
                          "description": "该调整单关联的订单号",
                          "type": "string",
                          "example": "21057520029298437725452511"
                        },
                        "processed_at": {
                          "name": "processed_at",
                          "description": "退款单更新时间",
                          "type": "string",
                          "example": "1673404700862"
                        },
                        "status": {
                          "name": "status",
                          "description": "处理状态, pending, failure, success, and error",
                          "type": "string",
                          "example": "pending"
                        },
                        "amount": {
                          "name": "amount",
                          "description": "退款支付单结算币种对应的退款金额，精度2",
                          "type": "long",
                          "example": 0
                        },
                        "create_at": {
                          "name": "create_at",
                          "description": "创建时间",
                          "type": "string",
                          "example": "1673404700862"
                        }
                      },
                      "example": {
                        "currency": "USD",
                        "id": "23057520029306658561302511",
                        "kind": "refund",
                        "order_id": "21057520029298437725452511",
                        "processed_at": "1673404700862",
                        "status": "pending",
                        "amount": 0,
                        "create_at": "1673404700862"
                      }
                    },
                    "example": [
                      {
                        "amount": 0,
                        "create_at": "1673404700862",
                        "currency": "USD",
                        "id": "23057520029306658561302511",
                        "kind": "refund",
                        "order_id": "21057520029298437725452511",
                        "processed_at": "1673404700862",
                        "status": "pending"
                      }
                    ]
                  },
                  "create_at": {
                    "name": "create_at",
                    "description": "退款单创建时间",
                    "type": "string",
                    "example": "1673404700862"
                  },
                  "id": {
                    "name": "id",
                    "description": "退款单ID，唯一识别",
                    "type": "string",
                    "example": "2605755870074105241861"
                  },
                  "note": {
                    "name": "note",
                    "description": "退款备注",
                    "type": "string",
                    "example": "备注"
                  }
                },
                "example": {
                  "note": "备注",
                  "order_adjustments": [
                    {
                      "tax_amount": "978",
                      "reason": "refund_discrepancy",
                      "kind": "refund_discrepancy",
                      "tax_amount_set": {
                        "shop_money": {
                          "amount": "3.45",
                          "currency_code": "USD"
                        },
                        "presentment_money": {
                          "amount": "2.34",
                          "currency_code": "USD"
                        }
                      },
                      "amount": "2.34",
                      "id": "",
                      "amount_set": {
                        "presentment_money": {
                          "amount": "2.34",
                          "currency_code": "USD"
                        },
                        "shop_money": {
                          "amount": "2.34",
                          "currency_code": "USD"
                        }
                      },
                      "order_id": "21057520029298437725452511",
                      "refund_id": ""
                    }
                  ],
                  "order_id": "21057520029298437725452511",
                  "refund_line_items": [
                    {
                      "subtotal_set": {
                        "presentment_money": {
                          "amount": "1.23",
                          "currency_code": "USD"
                        },
                        "shop_money": {
                          "currency_code": "USD",
                          "amount": "2.36"
                        }
                      },
                      "total_tax": "4.56",
                      "total_tax_set": {
                        "shop_money": {
                          "amount": "6.14",
                          "currency_code": "USD"
                        },
                        "presentment_money": {
                          "currency_code": "USD",
                          "amount": "3.24"
                        }
                      },
                      "id": 0,
                      "line_item_id": 601,
                      "quantity": 1,
                      "restock_type": "return",
                      "subtotal": "3.45"
                    }
                  ],
                  "total_duties_set": {
                    "presentment_money": {
                      "amount": "8.88",
                      "currency_code": "USD"
                    },
                    "shop_money": {
                      "amount": "8.88",
                      "currency_code": "USD"
                    }
                  },
                  "transactions": [
                    {
                      "amount": 0,
                      "create_at": "1673404700862",
                      "currency": "USD",
                      "id": "23057520029306658561302511",
                      "kind": "refund",
                      "order_id": "21057520029298437725452511",
                      "processed_at": "1673404700862",
                      "status": "pending"
                    }
                  ],
                  "create_at": "1673404700862",
                  "id": "2605755870074105241861"
                }
              }
            },
            "example": {
              "data": {
                "total_duties_set": {
                  "shop_money": {
                    "amount": "8.88",
                    "currency_code": "USD"
                  },
                  "presentment_money": {
                    "amount": "8.88",
                    "currency_code": "USD"
                  }
                },
                "transactions": [
                  {
                    "amount": 0,
                    "create_at": "1673404700862",
                    "currency": "USD",
                    "id": "23057520029306658561302511",
                    "kind": "refund",
                    "order_id": "21057520029298437725452511",
                    "processed_at": "1673404700862",
                    "status": "pending"
                  }
                ],
                "create_at": "1673404700862",
                "id": "2605755870074105241861",
                "note": "备注",
                "order_adjustments": [
                  {
                    "amount_set": {
                      "presentment_money": {
                        "amount": "2.34",
                        "currency_code": "USD"
                      },
                      "shop_money": {
                        "amount": "2.34",
                        "currency_code": "USD"
                      }
                    },
                    "tax_amount": "978",
                    "amount": "2.34",
                    "reason": "refund_discrepancy",
                    "order_id": "21057520029298437725452511",
                    "refund_id": "",
                    "id": "",
                    "kind": "refund_discrepancy",
                    "tax_amount_set": {
                      "presentment_money": {
                        "currency_code": "USD",
                        "amount": "2.34"
                      },
                      "shop_money": {
                        "amount": "3.45",
                        "currency_code": "USD"
                      }
                    }
                  }
                ],
                "order_id": "21057520029298437725452511",
                "refund_line_items": [
                  {
                    "id": 0,
                    "line_item_id": 601,
                    "quantity": 1,
                    "restock_type": "return",
                    "subtotal": "3.45",
                    "subtotal_set": {
                      "presentment_money": {
                        "currency_code": "USD",
                        "amount": "1.23"
                      },
                      "shop_money": {
                        "amount": "2.36",
                        "currency_code": "USD"
                      }
                    },
                    "total_tax": "4.56",
                    "total_tax_set": {
                      "presentment_money": {
                        "amount": "3.24",
                        "currency_code": "USD"
                      },
                      "shop_money": {
                        "currency_code": "USD",
                        "amount": "6.14"
                      }
                    }
                  }
                ]
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "post",
  "path": "/order/refund.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。"
        }
      }
    }
  ],
  "info": {
    "title": "订单退款",
    "version": "v20270301"
  },
  "authIndexes": [
    "write_orders"
  ]
}
```